Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionecosto
Class VariazioneCostoRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionecosto.VariazioneCostoRequest

    public class VariazioneCostoRequest

extends java.lang.Object

Richiesta per il servizio setVariazioneCosto.

Field Summary
`private java.lang.String` | `codAziendaAppartenenza` Codice nazionale azienda di appartenenza.
`private java.lang.String` | `codiceFiscale` Codice fiscale.
`private java.lang.String` | `dataFineCostoTotale` Data di fine costo totale mensile lordo.
`private java.lang.String` | `dataInizioCostoTotale` Data di inizio costo totale mensile lordo.
`private java.lang.String` | `dataInizioRapporto` Data di assunzione.
`private GRPImportoArretratoCostoDipendente` | `grpImportiArretrati` Elenco degli eventuali importi arretrati associati al costo totale.
`private java.lang.String` | `importoMensileLordo` Importo mensile.
`private int` | `tipoAziendaAppartenenza` Tipo azienda di appartenenza.

Constructor Summary
`VariazioneCostoRequest()`

Method Summary
`java.lang.String` | `getCodAziendaAppartenenza()`
`java.lang.String` | `getCodiceFiscale()`
`java.lang.String` | `getDataFineCostoTotale()`
`java.lang.String` | `getDataInizioCostoTotale()`
`java.lang.String` | `getDataInizioRapporto()`
`GRPImportoArretratoCostoDipendente` | `getGrpImportiArretrati()`
`java.lang.String` | `getImportoMensileLordo()`
`int` | `getTipoAziendaAppartenenza()`
`void` | `setCodAziendaAppartenenza(java.lang.String codAziendaAppartenenza)`
`void` | `setCodiceFiscale(java.lang.String codiceFiscale)`
`void` | `setDataFineCostoTotale(java.lang.String dataFineCostoTotale)`
`void` | `setDataInizioCostoTotale(java.lang.String dataInizioCostoTotale)`
`void` | `setDataInizioRapporto(java.lang.String dataInizioRapporto)`
`void` | `setGrpImportiArretrati(GRPImportoArretratoCostoDipendente grpImportiArretrati)`
`void` | `setImportoMensileLordo(java.lang.String importoMensileLordo)`
`void` | `setTipoAziendaAppartenenza(int tipoAziendaAppartenenza)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceFiscale

    @Facets(pattern="[a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11}")
    @MinOccurs(value=1L)
    private java.lang.String codiceFiscale

  Codice fiscale.

### codAziendaAppartenenza

    @Facets(maxLength=6L,
            pattern="[0-9]+")
    @MinOccurs(value=1L)
    private java.lang.String codAziendaAppartenenza

  Codice nazionale azienda di appartenenza.

### tipoAziendaAppartenenza

    @Facets(totalDigits=1L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=1L)
    private int tipoAziendaAppartenenza

  Tipo azienda di appartenenza. Puņ assumere i seguenti valori:
  - 1: Azienda Ospedaliera
  - 2: IRCCS pubblico
  - 3: ASL

### dataInizioRapporto

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    @MinOccurs(value=1L)
    private java.lang.String dataInizioRapporto

  Data di assunzione.

### dataInizioCostoTotale

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=1L)
    private java.lang.String dataInizioCostoTotale

  Data di inizio costo totale mensile lordo.

### dataFineCostoTotale

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataFineCostoTotale

  Data di fine costo totale mensile lordo.

### importoMensileLordo

    @Facets(maxLength=16L,
            pattern="[0-9]{1,12}[,]{0,1}[0-9]{0,3}")
    @MinOccurs(value=1L)
    private java.lang.String importoMensileLordo

  Importo mensile. Per es. l'importo 4556,45 deve essere espresso nel formato 000000004556,450.

### grpImportiArretrati

    @MinOccurs(value=0L)
    @MaxOccurs(value=5L)
    private GRPImportoArretratoCostoDipendente grpImportiArretrati

  Elenco degli eventuali importi arretrati associati al costo totale.

Constructor Detail

### VariazioneCostoRequest

    public VariazioneCostoRequest()

Method Detail

### setCodiceFiscale

    public void setCodiceFiscale(java.lang.String codiceFiscale)

### getCodiceFiscale

    public java.lang.String getCodiceFiscale()

### setCodAziendaAppartenenza

    public void setCodAziendaAppartenenza(java.lang.String codAziendaAppartenenza)

### getCodAziendaAppartenenza

    public java.lang.String getCodAziendaAppartenenza()

### setTipoAziendaAppartenenza

    public void setTipoAziendaAppartenenza(int tipoAziendaAppartenenza)

### getTipoAziendaAppartenenza

    public int getTipoAziendaAppartenenza()

### setDataInizioRapporto

    public void setDataInizioRapporto(java.lang.String dataInizioRapporto)

### getDataInizioRapporto

    public java.lang.String getDataInizioRapporto()

### setDataInizioCostoTotale

    public void setDataInizioCostoTotale(java.lang.String dataInizioCostoTotale)

### getDataInizioCostoTotale

    public java.lang.String getDataInizioCostoTotale()

### setImportoMensileLordo

    public void setImportoMensileLordo(java.lang.String importoMensileLordo)

### getImportoMensileLordo

    public java.lang.String getImportoMensileLordo()

### setDataFineCostoTotale

    public void setDataFineCostoTotale(java.lang.String dataFineCostoTotale)

### setGrpImportiArretrati

    public void setGrpImportiArretrati(GRPImportoArretratoCostoDipendente grpImportiArretrati)

  Parameters:
    `grpImportiArretrati` - the grpImportiArretrati to set

### getGrpImportiArretrati

    public GRPImportoArretratoCostoDipendente getGrpImportiArretrati()

  Returns:
    the grpImportiArretrati

### getDataFineCostoTotale

    public java.lang.String getDataFineCostoTotale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD